Action Required – .NET version and Visual Studio 2017

Important Update: Due to unrelated issues, 10.0.12/PU36 VMs do NO LONGER have VS2017 as originally communicated. Rather, VS2017 will be on 10.0.13/PU37 VMs instead. The .NET 4.7.2 information has not changed. The text below has been updated to reflect this new reality.

For the upcoming PU37/10.0.13 release, the X++ developer tools in Visual Studio are taking a dependency on .NET Framework 4.7.2. There is no change in the compiler, metadata, or the Dynamics 365 runtime itself, and we will not support 4.7.2 assemblies to be consumed from the F&O runtime at this time. This is solely an update to the Visual Studio extensions and the Tier1 VMs. As the caretakers of Microsoft-managed VMs we will soon notify customers and start working on updating VMs under our care as well. New VMs deployed after June 18th 2020 have .NET 4.7.2 pre-installed, regardless of the F&O version.

Additionally, by April 2021 we will be deprecating support for Visual Studio 2015. New VMs for PU37/10.0.13 as well as the downloadable VHD that will be released for the October release (which is PU37/10.0.13) will have .NET 4.7.2 as well as Visual Studio 2017. This means by April 2021 we will require everyone to have deployed a new VM with VS2017, to be ready for the April release that will no longer have support for VS2015.

What does this mean for you today?

  • If you have a Microsoft-managed VM, we will take care of .NET 4.7.2 for you prior to the PU37/10.0.13 release.
  • If you have a VM on your own subscription (“cloud hosted environment”), or you use the downloaded VHD, you will need to manually install .NET 4.7.2 today or any time prior to installing PU37/10.0.13 (info below).
  • Once PU37/10.0.13 is released, consider redeploying your Tier1 VMs and getting a new downloadable VHD to take advantage of VS2017, as well as be ready for the deprecation of VS2015 in April 2021.

If you have a VHD or a VM in your own subscription, you can prepare by installing the .NET 4.7.2 runtime on your dev/test/build Tier1 VMs to be ready for PU37/10.0.13. The download is available at https://dotnet.microsoft.com/download/dotnet-framework/net472 by clicking on the “Download .NET Framework 4.7.2 Runtime” and running the installation (reboot is likely required).

- Advertisement -

LEAVE A REPLY

Please enter your comment!
Please enter your name here

- Advertisement -

Latest News

- Advertisement -

More Articles Like This

- Advertisement -